# $Revision: 1.1.2.1 $, $Date: 2003/05/02 10:44:41 $
#
# Conditional build
# _with_tests	- perform "make test" (requires reader)
#
%include	/usr/lib/rpm/macros.perl
Summary:	Perl extension for TLP and RFTLP SmartCard reader
Summary(pl):	Rozszerzenie Perla do czytnikw kart procesorowych TLP i RFTLP
Name:		perl-cardreader
Version:	1.0.0
Release:	1
License:	BSD-like + restricted vendor's name usage (see copyright file)
Group:		Libraries
Source0:	http://www.gemplus.com/techno/tlp_drivers/download/libtlp-perl_%{version}.tar.gz
URL:		http://www.gemplus.com/techno/tlp_drivers/
BuildRequires:	libtlp-devel
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl extension for TLP and RFTLP SmartCard reader.

%description -l pl
Rozszerzenie Perla do czytnikw kart procesorowych TLP i RFTLP.

%prep
# use -c, the name "perl" may be too common
%setup -q -c

%build
cd perl
%{__perl} Makefile.PL
%{__make} \
	OPTIMIZE="%{rpmcflags} -I."

%{?_with_tests:%{__make} test}

%install
cd perl
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc perl/{Changes,README.unix,debian/copyright}
%{perl_sitearch}/cardreader.pm
%dir %{perl_sitearch}/auto/cardreader
%{perl_sitearch}/auto/cardreader/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/cardreader/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-cardreader.spec,v $
Revision 1.1.2.1  2003/05/02 10:44:41  ankry
- Ra version

Revision 1.1  2003/04/18 00:08:28  qboosh
- separated from libtlp.spec
